Name:          lxqt-session
Version:       1.3.0
Release:       %mkrel 1
Summary:       Session manager for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-session/releases/download/%{version}/%{name}-%{version}.tar.xz
# (daviddavid) add a custom lxqt configuration as default
Source1:       lxqt.conf
# Default mageia customization patches
Patch1:        0001-Use-openbox-by-default.patch
Patch2:        1.1.0-Fix-default-themes.patch
Patch3:        session-1.2.0-fix-desktop-without-blank-line.patch

BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Xdg) >= 2.0.0
BuildRequires: pkgconfig(libprocps)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xext)

BuildRequires: qtxdg-tools
BuildRequires: xdg-user-dirs
BuildRequires: libapr
BuildRequires: libapr-util
BuildRequires: git

Requires:      breeze-icons

%description
Session manager for the LXQt desktop.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

# (daviddavid) add a custom lxqt configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/lxqt.conf

%files
%{_sysconfdir}/xdg/lxqt/lxqt.conf
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/lxqt-config-session
%{_bindir}/startlxqt
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_datadir}/lxqt/lxqt.conf
%{_datadir}/lxqt/session.conf
%{_datadir}/lxqt/windowmanagers.conf
%{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%{_datadir}/xsessions/lxqt.desktop
%{_mandir}/man1/*
%{_datadir}/lxqt/translations/lxqt-config-session/
%{_datadir}/lxqt/translations/lxqt-leave/
%{_datadir}/lxqt/translations/lxqt-session/


%changelog
* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953175
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-3.mga9
+ Revision: 1938811
- rebuild for compilation with C++17 standard

* Thu Nov 17 2022 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1908487
- fix detection of session from drakautologin (mga#31133)

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904191
- new version 1.2.0

* Tue Sep 20 2022 papoteur <papoteur> 1.1.1-1.mga9
+ Revision: 1890739
- new 1.1.1

* Tue Apr 26 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853785
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845310
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761585
- New version 1.0.0

* Mon Apr 26 2021 daviddavid <daviddavid> 0.17.1-1.mga9
+ Revision: 1719845
- New version 0.17.1

* Sat Apr 17 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716200
- New version 0.17.0

* Sun Feb 14 2021 daviddavid <daviddavid> 0.16.0-4.mga8
+ Revision: 1675350
- add missing dependency on breeze-icons

* Sun Feb 14 2021 daviddavid <daviddavid> 0.16.0-3.mga8
+ Revision: 1675338
- add a custom lxqt configuration as default in "/etc/xdg/lxqt" (mga#26144)

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659001
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643186
- New version 0.16.0
- update Url

* Sun May 24 2020 neoclust <neoclust> 0.15.0-3.mga8
+ Revision: 1587364
- Fix default icon theme

* Sun May 24 2020 neoclust <neoclust> 0.15.0-2.mga8
+ Revision: 1587358
- Use openbox by default as window manager

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571818
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524818
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383299
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380838
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361382
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345483
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299413
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235978
- New version 0.13.0

* Mon Nov 06 2017 neoclust <neoclust> 0.12.0-3.mga7
+ Revision: 1176200
- Lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1175537
- Add conflicts to ease upgrade

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175536
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093320
- New version 0.11.1

* Thu Nov 17 2016 daviddavid <daviddavid> 0.11.0-2.mga6
+ Revision: 1067962
- add missing BR on pkgconfig(libudev)

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066019
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995919
- update translations during build if necessary

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961350
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900955
- Rebuild against fixed qtbase5
- Use qt5 cmake macro
- New version 0.10.0

* Sun Feb 22 2015 tmb <tmb> 0.9.0-2.mga5
+ Revision: 816504
- fix desktop files
+ doktor5000 <doktor5000>
- new version 0.9.0
- added new binary %%{_bindir}/lxqt-leave, replacing lxqt-power functionality
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803667
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793518
- do not remove LXQt Catgories from .desktop file

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793080
- remove Categories from desktop file
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 740329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 682098
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675030
- obsolete razorqt-session

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626380
- fix .desktop file, remove Category=LXQt for now
- use %%mkrel
- fix and add missing BuildRequires
- disabled bundled xdg-utils
- imported package lxqt-session


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 2c573f0
- Automatic import for version 0.7.0-1


